package com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.entity;

import com.jeeplus.core.persistence.DataEntity;

/**
 * 预算问题反馈记录
 * @author: 王强
 * @create: 2022-08-10 10:47
 **/
public class FeedBackBudget extends DataEntity<FeedBackBudget> {

    public FeedBackBudget() {
    }

    public FeedBackBudget(String projectReserveId, String preferedCase, String transferSituation, String budgetTemplateCheck, String quotaApplicationCheck, String workLoadCheck, String checkTheFee, String supplyCheck, String materialCheck, String liveWorkFeeCheck, String demolitionEngineeringProblems, String otherProblem, String drawingAndSiteProblem, String communicationProblem, String civilPrefabricateProblem, String liveWorkNumProblem, String projectManagerOtherProblem) {
        this.projectReserveId = projectReserveId;
        this.preferedCase = preferedCase;
        this.transferSituation = transferSituation;
        this.budgetTemplateCheck = budgetTemplateCheck;
        this.quotaApplicationCheck = quotaApplicationCheck;
        this.workLoadCheck = workLoadCheck;
        this.checkTheFee = checkTheFee;
        this.supplyCheck = supplyCheck;
        this.materialCheck = materialCheck;
        this.liveWorkFeeCheck = liveWorkFeeCheck;
        this.demolitionEngineeringProblems = demolitionEngineeringProblems;
        this.otherProblem = otherProblem;
        this.drawingAndSiteProblem = drawingAndSiteProblem;
        this.communicationProblem = communicationProblem;
        this.civilPrefabricateProblem = civilPrefabricateProblem;
        this.liveWorkNumProblem = liveWorkNumProblem;
        this.projectManagerOtherProblem = projectManagerOtherProblem;
    }

    //概预算问题反馈
    private String projectReserveId;                     //项目储备编号
    private String preferedCase;                         //甲供材优选情况
    private String transferSituation;                    //甲供转乙供情况
    private String budgetTemplateCheck;                  //预算模板核对
    private String quotaApplicationCheck;                //定额套用核对
    private String workLoadCheck;                        //工作流核对
    private String checkTheFee;                          //取费核对
    private String supplyCheck;                          //甲供物资核对
    private String materialCheck;                        //乙供物资核对
    private String liveWorkFeeCheck;                     //带电作业费核对
    private String demolitionEngineeringProblems;        //拆除工程问题
    private String otherProblem;                         //其他问题

    //项目经理审图问题反馈
    private String drawingAndSiteProblem;                //图纸与现场一致性问题
    private String communicationProblem;                 //自动化通信方式问题
    private String civilPrefabricateProblem;             //土建预制化问题
    private String liveWorkNumProblem;                   //带电作业次数问题
    private String projectManagerOtherProblem;           //其他问题


    public String getProjectReserveId() {
        return projectReserveId;
    }

    public void setProjectReserveId(String projectReserveId) {
        this.projectReserveId = projectReserveId;
    }

    public String getPreferedCase() {
        return preferedCase;
    }

    public void setPreferedCase(String preferedCase) {
        this.preferedCase = preferedCase;
    }

    public String getTransferSituation() {
        return transferSituation;
    }

    public void setTransferSituation(String transferSituation) {
        this.transferSituation = transferSituation;
    }

    public String getBudgetTemplateCheck() {
        return budgetTemplateCheck;
    }

    public void setBudgetTemplateCheck(String budgetTemplateCheck) {
        this.budgetTemplateCheck = budgetTemplateCheck;
    }

    public String getQuotaApplicationCheck() {
        return quotaApplicationCheck;
    }

    public void setQuotaApplicationCheck(String quotaApplicationCheck) {
        this.quotaApplicationCheck = quotaApplicationCheck;
    }

    public String getWorkLoadCheck() {
        return workLoadCheck;
    }

    public void setWorkLoadCheck(String workLoadCheck) {
        this.workLoadCheck = workLoadCheck;
    }

    public String getCheckTheFee() {
        return checkTheFee;
    }

    public void setCheckTheFee(String checkTheFee) {
        this.checkTheFee = checkTheFee;
    }

    public String getSupplyCheck() {
        return supplyCheck;
    }

    public void setSupplyCheck(String supplyCheck) {
        this.supplyCheck = supplyCheck;
    }

    public String getMaterialCheck() {
        return materialCheck;
    }

    public void setMaterialCheck(String materialCheck) {
        this.materialCheck = materialCheck;
    }

    public String getLiveWorkFeeCheck() {
        return liveWorkFeeCheck;
    }

    public void setLiveWorkFeeCheck(String liveWorkFeeCheck) {
        this.liveWorkFeeCheck = liveWorkFeeCheck;
    }

    public String getDemolitionEngineeringProblems() {
        return demolitionEngineeringProblems;
    }

    public void setDemolitionEngineeringProblems(String demolitionEngineeringProblems) {
        this.demolitionEngineeringProblems = demolitionEngineeringProblems;
    }

    public String getOtherProblem() {
        return otherProblem;
    }

    public void setOtherProblem(String otherProblem) {
        this.otherProblem = otherProblem;
    }

    public String getDrawingAndSiteProblem() {
        return drawingAndSiteProblem;
    }

    public void setDrawingAndSiteProblem(String drawingAndSiteProblem) {
        this.drawingAndSiteProblem = drawingAndSiteProblem;
    }

    public String getCommunicationProblem() {
        return communicationProblem;
    }

    public void setCommunicationProblem(String communicationProblem) {
        this.communicationProblem = communicationProblem;
    }

    public String getCivilPrefabricateProblem() {
        return civilPrefabricateProblem;
    }

    public void setCivilPrefabricateProblem(String civilPrefabricateProblem) {
        this.civilPrefabricateProblem = civilPrefabricateProblem;
    }

    public String getLiveWorkNumProblem() {
        return liveWorkNumProblem;
    }

    public void setLiveWorkNumProblem(String liveWorkNumProblem) {
        this.liveWorkNumProblem = liveWorkNumProblem;
    }

    public String getProjectManagerOtherProblem() {
        return projectManagerOtherProblem;
    }

    public void setProjectManagerOtherProblem(String projectManagerOtherProblem) {
        this.projectManagerOtherProblem = projectManagerOtherProblem;
    }
}
