package com.jeeplus.modules.sg.balancedlibrary.standardMaterials.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

/**
 * 标准物资Entity
 * @author enford
 * @version 1.0
 */
public class StandardMaterials extends DataEntity<StandardMaterials> {

    //物料编码
    private String materialCode;

    //物料描述
    private String materialDesc;

    //采购标准标识
    private String purchaseStandardId;

    //大类描述
    private String bigCategoryDescript;

    //中类描述
    private String middleCategoryDescript;

    //小类描述
    private String smallCategoryDescript;

    @ExcelField(title = "物料编码", align = 2, sort = 1)
    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    @ExcelField(title = "物料描述", align = 2, sort = 2)
    public String getMaterialDesc() {
        return materialDesc;
    }

    public void setMaterialDesc(String materialDesc) {
        this.materialDesc = materialDesc;
    }

    @ExcelField(title = "采购标准标识", align = 2, sort = 3)
    public String getPurchaseStandardId() {
        return purchaseStandardId;
    }

    public void setPurchaseStandardId(String purchaseStandardId) {
        this.purchaseStandardId = purchaseStandardId;
    }
    @ExcelField(title = "大类描述", align = 2, sort = 4)
    public String getBigCategoryDescript() {
        return bigCategoryDescript;
    }

    public void setBigCategoryDescript(String bigCategoryDescript) {
        this.bigCategoryDescript = bigCategoryDescript;
    }
    @ExcelField(title = "中类描述", align = 2, sort = 5)
    public String getMiddleCategoryDescript() {
        return middleCategoryDescript;
    }

    public void setMiddleCategoryDescript(String middleCategoryDescript) {
        this.middleCategoryDescript = middleCategoryDescript;
    }
    @ExcelField(title = "小类描述", align = 2, sort = 6)
    public String getSmallCategoryDescript() {
        return smallCategoryDescript;
    }

    public void setSmallCategoryDescript(String smallCategoryDescript) {
        this.smallCategoryDescript = smallCategoryDescript;
    }
}
