package com.jeeplus.modules.sg.balancedlibrary.transitMaterialGoods.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

/**
 * 导出在途物资
 * @author: 王强
 * @create: 2022-08-31 16:13
 **/
public class GoodsInfo extends DataEntity<GoodsInfo> {
    private String materialCode;    //物料编码
    private String contractCount;   //合同数量
    private String planner;         //计划编制人

    @ExcelField(title = "物料编码", align = 2, sort = 1)
    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }
    @ExcelField(title = "合同数量", align = 2, sort = 2)
    public String getContractCount() {
        return contractCount;
    }

    public void setContractCount(String contractCount) {
        this.contractCount = contractCount;
    }
    @ExcelField(title = "计划编制人", align = 2, sort = 3)
    public String getPlanner() {
        return planner;
    }

    public void setPlanner(String planner) {
        this.planner = planner;
    }
}
